summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Manuel Argüelles2014-07-16 15:06:34 +0200
committer Willy Sudiarto Raharjo2014-07-16 15:06:34 +0200
commit39e865139498580b95bc53f9a1c73477998ba4f3 (patch)
tree17c7dc972646dd6c272afd415db5fe225e19108a /development
parent47b1ef0f555e018fe3a07c48cfe0ae5f5f1654c4 (diff)
downloadslackbuilds-39e865139498580b95bc53f9a1c73477998ba4f3.tar.gz
development/cmocka: Added (Unit testing framework for C).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/cmocka/README15
-rw-r--r--development/cmocka/cmocka.SlackBuild98
-rw-r--r--development/cmocka/cmocka.info10
-rw-r--r--development/cmocka/slack-desc19
4 files changed, 142 insertions, 0 deletions
diff --git a/development/cmocka/README b/development/cmocka/README
new file mode 100644
index 0000000000..dc282d4299
--- /dev/null
+++ b/development/cmocka/README
@@ -0,0 +1,15 @@
+CMocka is an elegant unit testing framework for C with support for
+mock objects. It only requires the standard C library, works on a lot
+of platforms (including embedded) and with different compilers.
+
+The goal of CMocka is to provide a powerful testing framework for C,
+on different platforms and operating systems, which only requires the
+standard C library.
+
+CMocka minimizes conflicts with standard C headers especially on a lot
+of different platforms.
+
+Feature list includes: Support for mock objects, only requires a C
+library, fully documented API, test fixtures, exception handling for
+signals, no fork(), very well tested, testing of memory leaks, buffer
+overflows and underflows.
diff --git a/development/cmocka/cmocka.SlackBuild b/development/cmocka/cmocka.SlackBuild
new file mode 100644
index 0000000000..b589d95d4c
--- /dev/null
+++ b/development/cmocka/cmocka.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for cmocka
+
+# Copyright 2014 Manuel Argüelles
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=cmocka
+VERSION=${VERSION:-0.4.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING INSTALL README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/cmocka/cmocka.info b/development/cmocka/cmocka.info
new file mode 100644
index 0000000000..007daa63b9
--- /dev/null
+++ b/development/cmocka/cmocka.info
@@ -0,0 +1,10 @@
+PRGNAM="cmocka"
+VERSION="0.4.1"
+HOMEPAGE="http://cmocka.org/"
+DOWNLOAD="https://open.cryptomilk.org/attachments/download/42/cmocka-0.4.1.tar.xz"
+MD5SUM="fca91aa67a5393b123f1ed476031ed48"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Manuel Argüelles"
+EMAIL="manuel.arguelles@gmail.com"
diff --git a/development/cmocka/slack-desc b/development/cmocka/slack-desc
new file mode 100644
index 0000000000..044310d1a0
--- /dev/null
+++ b/development/cmocka/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+cmocka: cmocka (Unit testing framework for C)
+cmocka:
+cmocka: CMocka is an elegant unit testing framework for C with support for
+cmocka: mock objects. It provides a powerful testing framework for C, on
+cmocka: on different platforms and operating systems, which only requires the
+cmocka: standard C library.
+cmocka:
+cmocka: It includes support for mock objects, a fully documented API, test
+cmocka: fixtures, exception handling for singlas, testing of memory leaks and
+cmocka: buffer overflows and underflows.
+cmocka: